from setuptools import setup, find_packages

setup(
    name="flaschengeist",
    version="2.0.0-dev",
    url="https://wu5.de/redmine/projects/geruecht",
    author="WU5 + Friends",
    author_email="tim@groeger-clan.de",
    description="Does things",
    packages=find_packages(),
    package_data={"": ["*.toml"]},
    scripts=["run_flaschengeist"],
    python_requires=">=3.6",
    install_requires=[
        "Flask >= 1.1",
        "toml",
        # < 1.4: https://github.com/pallets/flask-sqlalchemy/issues/885
        "sqlalchemy>=1.3,<1.4",
        "flask_sqlalchemy",
        "flask_cors",
        "werkzeug",
        # Needed for python < 3.7
        "backports-datetime-fromisoformat",
    ],
    extras_require={"ldap": ["flask_ldapconn", "ldap3"], "test": ["pytest", "coverage"]},
    entry_points={
        "flaschengeist.plugin": [
            # Authentication providers
            "auth_plain = flaschengeist.plugins.auth_plain:AuthPlain",
            "auth_ldap = flaschengeist.plugins.auth_ldap:AuthLDAP [ldap]",
            # Route providers (and misc)
            "auth = flaschengeist.plugins.auth:AuthRoutePlugin",
            "users = flaschengeist.plugins.users:UsersPlugin",
            "roles = flaschengeist.plugins.roles:RolesPlugin",
            "balance = flaschengeist.plugins.balance:BalancePlugin",
            "schedule = flaschengeist.plugins.schedule:SchedulePlugin",
            "mail = flaschengeist.plugins.message_mail:MailMessagePlugin",
            "pricelist = flaschengeist.plugins.pricelist:PriceListPlugin",
        ],
    },
)
